Reinstall cPanel & WHM from a valid distribution Error

Hendra Lismanda

Registered
Oct 22, 2018
1
0
0
Indonesia
cPanel Access Level
Root Administrator
[email protected]:/home# sh latest
Verifying archive integrity... All good.
Uncompressing cPanel & WHM Installer......
____ _
___| _ \ __ _ _ __ ___| |
/ __| |_) / _` | '_ \ / _ \ |
| (__| __/ (_| | | | | __/ |
\___|_| \__,_|_| |_|\___|_|

Installer Version v00080 rfaafe3bcf5b92fd14d1cb80357765325dd0f351a

Beginning main installation.
2018-10-22 06:03:16 789 ( INFO): cPanel & WHM installation started at: Mon Oct 22 06:03:16 2018!
2018-10-22 06:03:16 790 ( INFO): This installation will require 20-50 minutes, depending on your hardware.
2018-10-22 06:03:16 791 ( INFO): Now is the time to go get another cup of coffee/jolt.
2018-10-22 06:03:16 792 ( INFO): The install will log to the /var/log/cpanel-install.log file.
2018-10-22 06:03:16 793 ( INFO):
2018-10-22 06:03:16 794 ( INFO): Beginning Installation v3...
2018-10-22 06:03:16 535 (ERROR): The system could not detect a valid release file for this distribution
2018-10-22 06:03:16 537 (ERROR): The system detected an unsupported distribution. cPanel & WHM only supports CentOS 6 and 7, Red Hat Enterprise Linux® 6 and 7, and CloudLinux™ 6 and 7.
2018-10-22 06:03:16 538 (FATAL): Please reinstall cPanel & WHM from a valid distribution.
Removing /root/installer.lock.

How to solve this error?

Please help me
 

24x7server

Well-Known Member
Apr 17, 2013
1,907
95
78
India
cPanel Access Level
Root Administrator
Hi.

2018-10-22 06:03:16 537 (ERROR): The system detected an unsupported distribution. cPanel & WHM only supports CentOS 6 and 7, Red Hat Enterprise Linux® 6 and 7, and CloudLinux™ 6 and 7.
The error you get while installing indeed suggest what version you should be having if you want to install cPanel.. cPanel built has most of the deployment in RPM packages, and Ubuntu does not support this, so you will have to reinstall the server with CentOS 7 or CloudLinux 7 and then install the cpanel on it..
 

cPanelLauren

Product Owner
Staff member
Nov 14, 2017
13,304
1,250
313
Houston
The suggestions provided are correct, you're attempting to install on a distribution that is not supported by cPanel. As indicated by @Infopro this is noted in our installation requirements where you can also see the OS's we do support.


Thanks!